Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml
Class SAXmyHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.lowagie.text.xml.SAXiTextHandler
              com.lowagie.text.xml.SAXmyHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class SAXmyHandler

extends SAXiTextHandler

The `Tags`-class maps several XHTML-tags to iText-objects.

Field Summary

Fields inherited from class com.lowagie.text.xml.SAXiTextHandler
`bottomMargin, chapters, controlOpenClose, currentChunk, document, ignore, leftMargin, myTags, rightMargin, stack, topMargin`

Constructor Summary
`SAXmyHandler(DocListener document, java.util.HashMap myTags)` Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

Method Summary
`void` | `endElement(java.lang.String uri, java.lang.String lname, java.lang.String name)` This method gets called when an end tag is encountered.
`void` | `startElement(java.lang.String uri, java.lang.String lname, java.lang.String name, org.xml.sax.Attributes attrs)` This method gets called when a start tag is encountered.

Methods inherited from class com.lowagie.text.xml.SAXiTextHandler
`addImage, characters, handleEndingTags, handleStartingTags, ignorableWhitespace, isDocumentRoot, setBaseFont, setControlOpenClose`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXmyHandler

    public SAXmyHandler(DocListener document,
                        java.util.HashMap myTags)

  Constructs a new SAXiTextHandler that will translate all the events triggered by the parser to actions on the `Document`-object.

  Parameters:
    `document` - this is the document on which events must be triggered
    `myTags` - a user defined tagmap

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String lname,
                             java.lang.String name,
                             org.xml.sax.Attributes attrs)

  This method gets called when a start tag is encountered.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAXiTextHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - the name of the tag that is encountered
    `attrs` - the list of attributes

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String lname,
                           java.lang.String name)

  This method gets called when an end tag is encountered.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `SAXiTextHandler`
  Parameters:
    `uri` - the Uniform Resource Identifier
    `lname` - the local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - the name of the tag that ends

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD